Bug 1007728 - Installer: no usage for [Native Zips] option during -console installation
Installer: no usage for [Native Zips] option during -console installation
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ER3
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
Depends On:
  Show dependency treegraph
Reported: 2013-09-13 04:46 EDT by Petr Kremensky
Modified: 2014-09-03 00:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-15 11:16:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-09-13 04:46:16 EDT
In 6.1.1. console installation, pack selection was done by sequence of questions, where user can choose which packs he wants to install. Once user choose NO for [Native Zips] option, other natives options were automatically set to NO. In 6.2 there is no dialogue, but user can choose directly which packs he wants to install. 

Select the packs you want to install:
1    [x] [Required]      [Red Hat JBoss Enterprise Application Platform]
2    [x]                 [AppClient]
3    [x] [Required]      [Bin]
4    [x] [Required]      [Bundles]
5    [x]                 [XMLs and XSDs]
6    [x] [Required]      [Domain]
7    [x] [Required]      [Domain Shell Scripts]
8    [x] [Required]      [Modules]
9    [x] [Required]      [Standalone]
10   [x] [Required]      [Standalone Shell Scripts]
11   [x] [Required]      [Welcome Content]
12   [ ] [Unselectable]  [Quickstarts]
13   [x] [Required]      [Icons]
14   [x]                 [Native Zips]
15   [x]                 [Native RHEL6-x86_64]
16   [x]                 [Native Utils RHEL6-x86_64]
17   [x]                 [Native Webserver RHEL6-x86_64]
Press 0 to confirm your selections
Please select which packs you want to install

Unselecting 14 [Native Zips] will not effect other Native options.

We should either remove this option, or make it ultimate native install option (unselection -> unselect all native options, select -> select all native options) same as it is in gui installation.
Comment 1 Petr Kremensky 2013-09-13 10:01:04 EDT
Playing more with this I would definitely prefer the second option:
unselection of [14] -> unselect all native options [15,16,17]
selection of [14]   -> select all native options [15,16,17]
Comment 2 Miles Tjandrawidjaja 2013-09-13 13:52:06 EDT
Fix has been implemented.
If options [15,16,17] are all selected then option 14 will also be selected.
If at least one of options [15,16,17] is not selected option 14 will not be selected.
Toggling option 14 will change options [15,16,17] to the same state as 14.

Comment 3 Petr Kremensky 2013-09-18 05:26:28 EDT
Fix not presented in EAP 6.2.0.ER2.
Comment 4 Miles Tjandrawidjaja 2013-09-25 13:05:47 EDT
Fix should be present in ER3
Comment 5 Petr Kremensky 2013-09-26 03:05:08 EDT
Please move to ON_QA once the target milestone was released next time, thanks.

Verified on EAP 6.2.0.ER3

Note You need to log in before you can comment on or make changes to this bug.